body {
    position: relative;
}

header {
    position: sticky;
    width: 100%;
    z-index: 100;
    max-width: 1920px;
    left: 50%;
    top: 0;
    background-color: var(--basicWhite);
    transition: ease all .3s;

}

header.active {
    background-color: rgb(255, 255, 255) !important;
}

.menu {
    position: relative;
    z-index: 200;
}

.menu .uniformSpacing {
    display: flex;
    justify-content: space-between;
    position: relative;
}

.menu .uniformSpacing #navLogo {
    display: flex;
    align-items: center;
    height: auto;
    width: 20%;
    position: relative;
}

.menu .uniformSpacing #navLogo a {
    position: absolute;
    display: flex;
    height: 150%;
    bottom: 0;
    transform: translateY(50%);
    background-color: var(--basicWhite);
    padding: 1em;
    border-radius: var(--basicRadius);
}


.menu .uniformSpacing #navLogo a img {
    height: 100%;
    width: auto;
    max-width: 100%;
    object-fit: contain;
}

.menu .uniformSpacing ul li {
    list-style: none;
}

.menu .uniformSpacing ul {
    padding: 0;
    margin: 0;
}

.menu .uniformSpacing #navMenu {
    display: flex;
}

.menu .uniformSpacing #navMenu ul {
    display: flex;
    gap: 1.5em
}

.menu .uniformSpacing #navMenu ul li {
    padding: 1.5em 0;
}


.menu .uniformSpacing #navMenu ul li a {
    display: flex;
    align-items: center;
    gap: .5em;
    transition: ease all .3s;
    cursor: pointer;
}

.menu .uniformSpacing #navMenu ul li a:hover {
    opacity: .5;
}

.menu .uniformSpacing #navMenu ul li a span {
    display: flex;
    align-items: center;
}

.menu .uniformSpacing #navMenu ul li a svg {
    width: 1em;
    height: auto;
    aspect-ratio: 1/1;
    transition: ease all .3s;
}

.menu .uniformSpacing #navMenu ul li .navSubMenu {
    position: absolute;
    top: 0;
    transform: translateY(-100%);
    left: 0;
    display: flex;
    flex-direction: column;
    gap: .5em;
    min-width: 100%;
    width: fit-content;
    transition: ease opacity .3s;
    opacity: 0;
    z-index: -1;
}


.menu .uniformSpacing #navMenu ul li.parentSubMenu.openSubMenu svg {
    transform: rotate(90deg);
}

.menu .uniformSpacing #navMenu ul li.parentSubMenu.openSubMenu .navSubMenu {
    top: 100%;
    transform: translateY(0);
    opacity: 1;
    transition: ease all .3s;
}

header.active .menu .uniformSpacing #navMenu ul li.parentSubMenu.openSubMenu .navSubMenu {
    background-color: var(--basicWhite);
}


.menu .uniformSpacing #navMenu ul li .navSubMenu .containerLInkSubMenu {
    display: flex;
    flex-direction: column;
    gap: .5em;
    padding: 0.75em;
    min-width: max-content;
}

.menu .uniformSpacing .rightMenu {
    display: flex;
    gap: 1.5em;
    justify-content: flex-end;
}

.menu .uniformSpacing .rightMenu li {
    display: flex;
    align-items: center;
    min-width: fit-content;
}

.menu .uniformSpacing .rightMenu li a {
    padding: .75em 1.25em;
    border: 1px solid var(--basicColor1);
    color: var(--basicWhite);
    background-color: var(--basicColor1);
    transition: ease all .3s;
}

.menu .uniformSpacing .rightMenu li a:hover {
    background-color: var(--basicWhite);
    border: 1px solid var(--basicWhite);
    color: var(--basicBlack);
}


.menu .uniformSpacing .rightMenu .socialContainer {
    display: flex;
    align-items: center;
    gap: .5em
}


.menu .uniformSpacing .rightMenu .socialContainer span {
    display: flex;
    align-items: center;
}

.menu .uniformSpacing .rightMenu .socialContainer span svg {
    width: 1.5em;
    height: auto;
    aspect-ratio: 1/1;
}

.menu .uniformSpacing .rightMenu .socialContainer span svg path {
    fill: var(--basicColor1);
}

.menu .uniformSpacing .rightMenu svg {
    display: flex;
    gap: 1em
}

.menu .uniformSpacing .rightMenu .mobileBtnMenu,
.menu .uniformSpacing .rightMenu .mobileBtnMenu svg {
    display: none;
    width: 1em;
    height: auto;
    aspect-ratio: 1/1;
}

.menu .uniformSpacing .rightMenu .mobileBtnMenu svg path {
    fill: var(--basicBlack);
}

.externalLink {
    display: none;
}

@media screen and (max-width: 1450px) {
    .menu .uniformSpacing #navMenu ul {
        gap: 1em;
    }
}

@media screen and (max-width: 1400px) {

    header {
        background: var(--basicWhite);
    }

    .menu .uniformSpacing #navLogo{
        width: 7em;
    }

    .menu .uniformSpacing #navLogo a{
        width: 100%;
        height: auto;
    }

    .menu .uniformSpacing #navLogo a img{
        width: 100%;
    }

    .menu {
        position: relative;
    }

    .menu .uniformSpacing {
        padding: 1em 0;
        position: initial;
    }

    .menu .uniformSpacing #navMenu {
        display: none;
    }

    .menu .uniformSpacing .rightMenu {
        width: fit-content;
    }

    .menu .uniformSpacing .rightMenu .mobileBtnMenu,
    .menu .uniformSpacing .rightMenu .mobileBtnMenu svg {
        display: flex;
    }

    .menu .uniformSpacing .rightMenu .mobileBtnMenu {
        align-items: center;
    }

    .menu .uniformSpacing .rightMenu .mobileBtnMenu .close,
    .menu.active .uniformSpacing .rightMenu .mobileBtnMenu .open {
        display: none;
    }

    .menu.active .uniformSpacing .rightMenu .mobileBtnMenu .close,
    .menu .uniformSpacing .rightMenu .mobileBtnMenu .open {
        display: flex;
    }

    .menu.active .uniformSpacing #navMenu {
        display: flex;
        position: absolute;
        top: 100%;
        width: 100%;
        z-index: 1000;
        left: 0;
        padding: 0 1.5em;
        background-color: white;
    }

    .menu .uniformSpacing #navMenu {
        display: flex;
        position: absolute;
        top: 100%;
        width: 100%;
        z-index: 1000;
        left: -100%;
        transition: ease all .3s;
        justify-content: center;
    }

}


@media screen and (max-width: 650px) {
    .menu .uniformSpacing #navMenu ul {
        gap: .5em;
    }
    .menu.active .uniformSpacing #navMenu {
        height: 100vh;
    }

    .menu .uniformSpacing #navMenu ul {
        flex-direction: column;
        padding: 1.5em;
    }

    .menu .uniformSpacing #navMenu ul li {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: .5em 0;
    }

    .menu .uniformSpacing #navMenu ul li .navSubMenu {
        position: initial;
        z-index: 300;
        transform: translateY(0);
        height: 0;
        overflow: hidden;
        padding: 0;
    }

    .menu .uniformSpacing #navMenu ul li .navSubMenu .containerLInkSubMenu {
        background-color: transparent;
        display: flex;
        flex-direction: column;
        gap: .5em;
        align-items: center;
    }

    .menu .uniformSpacing #navMenu ul li.parentSubMenu.openSubMenu .navSubMenu {
        height: auto;
    }

    .menu .uniformSpacing .rightMenu li {
        display: none;
    }


    .externalLink {
        display: flex;
    }

    .externalLink a {
        padding: .75em 1.25em;
        border: 1px solid var(--basicColor2);
        background-color: var(--basicColor2);
        transition: ease all .3s;
        color: var(--basicWhite);
        border-radius: var(--basicRadius);
    }

    .externalLink a:hover {
        background-color: var(--basicWhite);
        border: 1px solid var(--basicWhite);
        color: var(--basicBlack);
    }
}

